Subject: Re: [RFC PATCH net-next 0/2] Configuring PFC stall prevention via ethtool

From: Andrew Lunn <[email-masked]>
Date: Thu, 16 Nov 2017 16:42:12 +0100

> I don't like adding another ethtool_ops callback tightly tied to the
> structures passed via ioctl() but when I started to think what to
> suggest as an alternative, I started to wonder if it is really necessary
> to add a new ethtool command at all. Couldn't this be handled as
> a tunable?

I agree with Michal here.

And as he pointed out, there does not need to be a 1:1 mapping between
ethtool(1) and the kAPI. I suggest extending the existing -a option,
and have it make two system calls if needed.

    Andrew